# Assign Number to Agent

**Step 1: Prepare Your Request**

* **Endpoint:** `/phone-number/add-number`
* **Method:** `POST`
* **URL:** `https://api.talkstackai.com/phone-number/add-number`
* **Headers:** Include `Content-Type: application/json`.
* **Authorization:** Bearer token or x-api-key in headers

**Step 2: Create the Request Body**

* `e164`: The number you want to assign to the bot. The number should be verified or purchased from Twilio and should include country code. For eg: +14232324232
* `agentId`: The id of the agent to which you want to assign this number.
* `projectId`: the id of the project with which the agent is associated.

```
{
    "message": "PhoneNumber assigned successfully.",
    "status": "success"
}
```

**Step 3: Send the Request**

Use your preferred HTTP client to send the POST request with the JSON body.

**Step 4: Handle the Response**

The response will provide detailed information about the new agent created.

**Troubleshooting**

* `400 Bad Request`: If the projectId, name, systemInstruction, or phoneNumber is missing in the request.
* `500 Internal Server Error`: For errors in creating a new agent.

Last updated 15 hours ago


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talkstack.ai/phone-number/assign-number-to-agent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
